Subject: Re: [PATCH] bridge: make br_parse_ip_options static

From: Bandan Das <[email-masked]>
Date: Tue, 19 Oct 2010 12:03:11 -0400

> > 
> > My main motivation behind not making this static was that
> > there would be possibly other places in the bridge code 
> > (besides br_netfilter.c) where we enter the IP stack and might 
> > want to call this. Not sure if it's indeed the case though..
> > 
> 
> I checked by doing make allmodconfig as well as looking by
> git grep 'br_parse_ip_options'
> 
> -- 
Sorry, my wording was misleading :) What I meant was at this time,
it's only used in br_netfilter.c but may be sometime in the future,
it could possible be used in some other places where we enter the IP
stack from the bridge code.

But, I completely agree with you. It makes more sense to make it static
as of now.

Bandan